#include "fd_event.hpp"
#include "tcp_server.hpp"
#include <iostream>

using namespace std;
using namespace tinyrpc;

int main() {


    TcpServer server(NetAddress(9001));
    server.start();
    // FdEvent fe(1);
    // fe.addListenEvent(IOEvent::READ);
    // cout << fe.getEvent() << endl;
    // fe.delListenEvent(IOEvent::READ); // 要在reactor 中更新
    // cout << fe.getEvent() << endl;

    // fe.addListenEvent(IOEvent::WRITE);
    // cout << fe.getEvent() << endl;
    // fe.delListenEvent(IOEvent::WRITE);
    // cout << fe.getEvent() << endl;
    return 0;
}